from setuptools import setup, find_packages

with open("README.md", "r", encoding="utf-8") as fh:
    long_description = fh.read()

setup(
    name="gagan",  # Your package name
    version="0.1",  # Your package version
    author="Gagan",  # Your name
    author_email="imgaganhonor@gmail.com",  # Your email
    description="A Python library to generate motivational quotes for developers.",  # Your description
    long_description=long_description,  # Long description from README
    long_description_content_type="text/markdown",  # Type of long description
    url="https://github.com/higgn/gagan",  # Your project URL (e.g., GitHub)
    packages=find_packages(),  # Automatically find packages
    classifiers=[  # Classifiers for PyPI
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    install_requires=[],  # Dependencies your package needs
    python_requires=">=3.7",  # Python versions supported
    license="MIT",  # License type (important!)
    package_data={'gagan': ['LICENSE']},  # Include the LICENSE file (critical!)
    include_package_data=True,  # Include non-code files (critical!)
)